import sys,os
sys.path.append(os.path.abspath('../'))

# Import the viiaPackage
from rhdhv_fem.fem_math import fem_area
from viiapackage import *

# Initiate the session
project = viia_create_project(project_name='exercise-4-model', version_nr=1)

# Load the model in the json that was created with the model script (model sub folder)
project.viia_read_dump('model', False)

# Creating supports
project.viia_create_supports('FixedBase')

# Creation of the strengthening measure L5-R
project.viia_l4f(wall='N1-WANDEN-MW-KLEI<1945-150-5', flip = True)
del fem_find_object('N1-WANDEN-MW-KLEI<1945-150-5', project.collections.walls).meta_data['strengthening']
project.viia_l5p(wall=fem_find_object('N1-WANDEN-MW-KLEI<1945-150-5', project.collections.walls),
                 application_type='Negative')

# Set data properties to all shapes for flexbase model
project.viia_create_all_datas()

# Create the model
project.viia_create_model()
